commit: 118022571ded64900f704adc183ddc6140776c32
Author: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 18 03:40:25 2021 +0000
Commit: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Mon Jan 18 03:41:01 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11802257
app-emulation/winetricks: Sync with ::wine
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>
app-emulation/winetricks/Manifest | 1 +
...winetricks-99999999.ebuild => winetricks-20201206.ebuild} | 12 +++++-------
app-emulation/winetricks/winetricks-99999999.ebuild | 12 +++++-------
3 files changed, 11 insertions(+), 14 deletions(-)
diff --git a/app-emulation/winetricks/Manifest
b/app-emulation/winetricks/Manifest
index 2848d25aae0..c534cd48a6c 100644
--- a/app-emulation/winetricks/Manifest
+++ b/app-emulation/winetricks/Manifest
@@ -1,2 +1,3 @@
DIST winetricks-20200412.tar.gz 684548 BLAKE2B
e29eba0c73ec0649523dac0f0efd145a5c9fe60d94ae98bc55ec430f511cc5bdf3149d87289973a85a373f2f91c3bd5521470853e06f5ec4af83fc810aa4fdc5
SHA512
d6ca5628b7d296b3168ef088ca0b03aff8b73da8a139061ca64fac0685ec29bf2b7e075b89226f8ce3af511947eac45d4c72cfb1199e6b72666fc67547b77588
+DIST winetricks-20201206.tar.gz 690966 BLAKE2B
8304d64657fdd921974f0c326bb4e0e1d859a69e573a7387c945c7dbfd20540621cc9c89718069b569309ac2358872083d651d29ddce616d1c2cf9a12ed39943
SHA512
6965bea9bc8bb212fe2b851a53dd144c52b37466cd0d6d6a933e4e0c16b202647f1b19804159642ce9fda566872ca51e8326e8716fafdea43cd09f24ed6b4a25
DIST winetricks-gentoo-2012.11.24.tar.bz2 6398 BLAKE2B
54a4502f6e8ef15d21b02c43e3ce599e32d476c2559246064de14cc4ce2243ff11dde681d24c8a7f4913c3d7a10b855bda47e8fb8ecad31e00d839705416be6f
SHA512
59c93b73f3a7b2d11aefcde2ff66659ff1de21ad4b5f232f4b60572f3a48b15a6c49f369b1696862bf1b33fde190bf5598945e9536fb41ddec42d8def4d2be2a
diff --git a/app-emulation/winetricks/winetricks-99999999.ebuild
b/app-emulation/winetricks/winetricks-20201206.ebuild
similarity index 89%
copy from app-emulation/winetricks/winetricks-99999999.ebuild
copy to app-emulation/winetricks/winetricks-20201206.ebuild
index 3b4cea7a055..89dcbb57c97 100644
--- a/app-emulation/winetricks/winetricks-99999999.ebuild
+++ b/app-emulation/winetricks/winetricks-20201206.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit desktop xdg
+inherit xdg
if [[ ${PV} == "99999999" ]] ; then
EGIT_REPO_URI="https://github.com/Winetricks/${PN}.git"
@@ -84,10 +84,8 @@ src_test() {
src_install() {
default
- if use gtk || use kde; then
- cd "${WORKDIR}/${wtg}" || die
- domenu winetricks.desktop
- insinto /usr/share/icons/hicolor/scalable/apps
- doins wine-winetricks.svg
+ if ! use gtk && ! use kde; then
+ rm -r "${ED}"/usr/share/applications || die
+ rm -r "${ED}"/usr/share/icons || die
fi
}
diff --git a/app-emulation/winetricks/winetricks-99999999.ebuild
b/app-emulation/winetricks/winetricks-99999999.ebuild
index 3b4cea7a055..89dcbb57c97 100644
--- a/app-emulation/winetricks/winetricks-99999999.ebuild
+++ b/app-emulation/winetricks/winetricks-99999999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit desktop xdg
+inherit xdg
if [[ ${PV} == "99999999" ]] ; then
EGIT_REPO_URI="https://github.com/Winetricks/${PN}.git"
@@ -84,10 +84,8 @@ src_test() {
src_install() {
default
- if use gtk || use kde; then
- cd "${WORKDIR}/${wtg}" || die
- domenu winetricks.desktop
- insinto /usr/share/icons/hicolor/scalable/apps
- doins wine-winetricks.svg
+ if ! use gtk && ! use kde; then
+ rm -r "${ED}"/usr/share/applications || die
+ rm -r "${ED}"/usr/share/icons || die
fi
}